Bug 119684 - Lifecycle thread is causing Oracle errors about invalid parameter/identifier.
Lifecycle thread is causing Oracle errors about invalid parameter/identifier.
Status: CLOSED WONTFIX
Product: Red Hat Enterprise CMS
Classification: Retired
Component: other (Show other bugs)
nightly
All Linux
medium Severity medium
: ---
: ---
Assigned To: ccm-bugs-list
Jon Orris
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-01 09:29 EST by Daniel Berrange
Modified: 2007-04-18 13:05 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-02 13:37:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2004-04-01 09:29:08 EST
Description of problem:
Since the test-qgen branch landed, the Lifecycle thread has started
throwing Oracle errors on various queries:


2004-04-01 16:25:46,388 [ead-7] ERROR rdbms.RDBMSEngine - select
t7.file_id as "this.id",
       t15.object_type as "this.objectType",
       t15.display_name as "this.displayName",
       t15.default_domain_class as "this.defaultDomainClass",
       t30.is_deleted as "this.isDeleted",
       t35.version as "this.version",
       t35.name as "this.name",
       t35.language as "this.language",
       t35.ancestors as "this.ancestors",
       t55.description as "this.description",
       t60.content as "this.content",
       t7.owner_id as "this.fileOwner.id",
       t75.object_type as "this.fileOwner.objectType"
from ct_file_storage t0
join ca_file_attachments t7
join acs_objects t15 on t7.file_id = t15.object_id
join vc_objects t30 on t7.file_id = t30.object_id
join cms_items t35 on t7.file_id = t35.item_id
join cms_assets t55 on t7.file_id = t55.asset_id
join cms_files t60 on t7.file_id = t60.file_id
join acs_objects t75 on t7.owner_id = t75.object_id on t0.item_id =
t7.owner_id
where t0.item_id = ?
java.sql.SQLException: ORA-01036: illegal variable name/number

        at
oracle.jdbc.dbaccess.DBError.throwSqlException(DBError.java:180)
        at
oracle.jdbc.oci8.OCIDBAccess.check_error(OCIDBAccess.java(Compiled Code))
        at
oracle.jdbc.oci8.OCIDBAccess.parseExecuteDescribe(OCIDBAccess.java(Compiled
Code))
        at
oracle.jdbc.driver.OracleStatement.doExecuteQuery(OracleStatement.java(Compiled
Code))
        at
oracle.jdbc.driver.OracleStatement.doExecuteWithTimeout(OracleStatement.java(Compiled
Code))
        at
oracle.jdbc.driver.OraclePreparedStatement.executeUpdate(OraclePreparedStatement.java(Compiled
Code))
        at
oracle.jdbc.driver.OraclePreparedStatement.execute(OraclePreparedStatement.java(Compiled
Code))
        at
com.redhat.persistence.engine.rdbms.RDBMSEngine.execute(RDBMSEngine.java(Compiled
Code))
        at
com.redhat.persistence.engine.rdbms.RDBMSEngine.execute(RDBMSEngine.java(Inlined
Compiled Code))
        at
com.redhat.persistence.engine.rdbms.RDBMSEngine.execute(RDBMSEngine.java(Compiled
Code))
        at com.redhat.persistence.Cursor.execute(Cursor.java(Inlined
Compiled Code))
        at com.redhat.persistence.Cursor.next(Cursor.java(Compiled Code))
        at
com.arsdigita.persistence.DataQueryImpl.next(DataQueryImpl.java(Compiled
Code))
        at
com.arsdigita.cms.VersionUpdater.updateChildren(VersionUpdater.java(Compiled
Code))
        at
com.arsdigita.cms.VersionUpdater.updateSingleObject(VersionUpdater.java:150)
        at
com.arsdigita.cms.VersionUpdater.updateChildren(VersionUpdater.java(Compiled
Code))
        at
com.arsdigita.cms.VersionUpdater.updateSingleObject(VersionUpdater.java:150)
        at
com.arsdigita.cms.VersionUpdater.updateItemVersion(VersionUpdater.java:72)
        at
com.arsdigita.cms.ContentItem.setVersionRecursively(ContentItem.java:1566)
        at
com.arsdigita.cms.ContentItem.promotePendingVersion(ContentItem.java:1542)
        at
com.arsdigita.cms.ContentItem.promotePendingVersion(ContentItem.java:1549)
        at
com.arsdigita.cms.lifecycle.PublishLifecycleListener.begin(PublishLifecycleListener.java:87)
        at
com.arsdigita.cms.lifecycle.Scheduler.fireCycleEvents(Scheduler.java:318)
        at
com.arsdigita.cms.lifecycle.Scheduler.checkAndFire(Scheduler.java:131)
        at
com.arsdigita.cms.lifecycle.Scheduler$2.excurse(Scheduler.java:202)
        at
com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
        at com.arsdigita.cms.lifecycle.Scheduler.run(Scheduler.java:198)
        at
com.arsdigita.cms.lifecycle.SchedulerTask.run(SchedulerTask.java:39)
        at java.util.TimerThread.mainLoop(Timer.java:445)
        at java.util.TimerThread.run(Timer.java:395)
2004-04-01 16:25:46,391 [ead-7] ERROR rdbms.RDBMSEngine - [18181]
2004-04-01 16:25:46,392 [ead-7] ERROR rdbms.RDBMSEngine - [NUMERIC]
2004-04-01 16:25:46,392 [ead-7] ERROR rdbms.RDBMSEngine - {}


When I run the qiery from the SQLPLUS prompt all appears fine.


Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1. Import the APLAWS generic content
2. Run the BulkPublish program
3. 
  
Actual results:
During the course of the publish, the lifecycle thread will start
throwing errors.

Expected results:


Additional info:
Comment 1 Vadim Nasardinov 2004-04-01 09:38:52 EST
This may or may not be related to bug 119466.

http://download-west.oracle.com/docs/cd/B10501_01/server.920/a96525/e900.htm#1000719

ORA-01036 illegal variable name/number
  Cause: Unable to find bind context on user side.
  Action: Make sure that the variable being bound is in the SQL
          statement.


Sounds like an off-by-one error in the index passed to one of the
PreparedStatement's setXXX(int, SomeType val) methods:
http://java.sun.com/j2se/1.3/docs/api/java/sql/PreparedStatement.html
Comment 2 Daniel Berrange 2004-04-01 09:41:11 EST
> This may or may not be related to bug 119466.

This occurred to be too, so I upgraded the server in question to
include this fix, but the problem still remains, so there must be
another bug hiding somewhere there....
Comment 3 Rafael H. Schloming 2004-04-01 12:01:20 EST
I'm having trouble reproducing this problem. I've tried publishing a
file storage item several times and all appears to work normally. What
change number of core and cms are you running against?
Comment 4 Daniel Berrange 2006-09-02 13:37:29 EDT
Closing old tickets

Note You need to log in before you can comment on or make changes to this bug.